### Enumeration

# Ggit StatusFlags

#### Declaration

    flags Ggit.StatusFlags

#### Description [src]

Describes a file’s status.

#### Members

`GGIT_STATUS_CURRENT`

  File is current.

  - Value: `0`
  - Available since: 1.0
`GGIT_STATUS_INDEX_NEW`

  File in index is new.

  - Value: `1`
  - Available since: 1.0
`GGIT_STATUS_INDEX_MODIFIED`

  File in index is modified.

  - Value: `2`
  - Available since: 1.0
`GGIT_STATUS_INDEX_DELETED`

  File in index is deleted.

  - Value: `4`
  - Available since: 1.0
`GGIT_STATUS_INDEX_RENAMED`

  No description available.

  - Value: `8`
  - Available since: 1.0
`GGIT_STATUS_INDEX_TYPECHANGE`

  No description available.

  - Value: `16`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_NEW`

  File in working tree is new.

  - Value: `128`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_MODIFIED`

  File in working tree is modified.

  - Value: `256`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_DELETED`

  File in working tree is deleted.

  - Value: `512`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_TYPECHANGE`

  No description available.

  - Value: `1024`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_RENAMED`

  No description available.

  - Value: `2048`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_UNREADABLE`

  No description available.

  - Value: `4096`
  - Available since: 1.0
`GGIT_STATUS_IGNORED`

  File is ignored.

  - Value: `16384`
  - Available since: 1.0
`GGIT_STATUS_CONFLICTED`

  No description available.

  - Value: `32768`
  - Available since: 1.0